Page MenuHomePhabricator

integrate nova.conf missing settings into neutron setup
Closed, ResolvedPublic

Description

When building out the labtestn deployment the nova.conf config was kept as pristine as possible for rapid iteration. There are portions of the config that need to be ported from the nova-network version to ensure everything is ready to go. That could mean integrating the two templates with conditional statements or keeping them separate with a manual sync and testing. Since the nova-network template will be obsolete (and is rarely changed) the cleanest solution is probably to copy over any missing config and ensure it doesn't break things in the new context.

ls modules/openstack/templates/mitaka/nova/common/**/*

modules/openstack/templates/mitaka/nova/common/neutron/api-paste.ini.erb
modules/openstack/templates/mitaka/nova/common/neutron/nova.conf.erb
modules/openstack/templates/mitaka/nova/common/nova_network/api-paste.ini.erb
modules/openstack/templates/mitaka/nova/common/nova_network/nova.conf.erb

Event Timeline

chasemp created this task.May 2 2018, 5:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2018, 5:35 PM
chasemp triaged this task as Medium priority.May 2 2018, 5:35 PM

Change 430581 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: nova.conf: rearange config file

https://gerrit.wikimedia.org/r/430581

Change 430614 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: api-paste.ini: rearange config file

https://gerrit.wikimedia.org/r/430614

Mentioned in SAL (#wikimedia-operations) [2018-05-04T15:05:05Z] <arturo> disabling puppet in labcontrol1001 for T193657

Mentioned in SAL (#wikimedia-operations) [2018-05-04T15:06:37Z] <arturo> disabling puppet in labnodepool100[1-2] for T193657

Change 430581 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: nova.conf: rearange config file

https://gerrit.wikimedia.org/r/430581

Change 430614 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: api-paste.ini: rearange config file

https://gerrit.wikimedia.org/r/430614

Mentioned in SAL (#wikimedia-operations) [2018-05-04T15:57:24Z] <arturo> enabled puppet in labcontrol1001, labnodepol100[1-2] and labtestvirt10[01-22] after patches deployed for T193657

Change 432130 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] [WIP] openstack: neutron: nova.conf: enable options

https://gerrit.wikimedia.org/r/432130

Change 432374 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] [WIP] openstack: neutron: api-paste.ini: enable options

https://gerrit.wikimedia.org/r/432374

Change 432374 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: neutron: api-paste.ini: enable options

https://gerrit.wikimedia.org/r/432374

Change 432130 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: neutron: nova.conf: enable options

https://gerrit.wikimedia.org/r/432130

aborrero closed this task as Resolved.May 14 2018, 4:38 PM

All is done.

There are 3 directives which I left commented due to lack of docs or doubts about what we really want:

[DEFAULT]
...
#use_rootwrap_daemon = True ### FIXME may be used only in compute nodes?
...
#notification_topics=notifications ### FIXME unknown yet
...
#daemonize=1 ### FIXME unknown yet, it seems like 'daemon' in some configs
Vvjjkkii renamed this task from integrate nova.conf missing settings into neutron setup to yrdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed aborrero as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: aborrero; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from yrdaaaaaaa to integrate nova.conf missing settings into neutron setup.Jul 2 2018, 2:11 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to aborrero.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: aborrero.